Bug 240083 - devel/jetbrains-webstorm: Update to 2019.2.1
Summary: devel/jetbrains-webstorm: Update to 2019.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pedro F. Giffuni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-24 20:11 UTC by Dmitry Wagin
Modified: 2019-08-29 21:02 UTC (History)
1 user (show)

See Also:
pfg: maintainer-feedback+


Attachments
jetbrains-webstorm.diff (7.68 KB, patch)
2019-08-24 20:11 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-08-24 20:11:31 UTC
Created attachment 206864 [details]
jetbrains-webstorm.diff

1) Update to 2019.2.1
2) drop dependency on intellij-pt4j port. That port should be removed, it includes an old pt4j version and the FreeBSD native library is already included in the upstream pty4j jar
3) small cleanup
Comment 1 Pedro F. Giffuni freebsd_committer 2019-08-25 21:44:44 UTC
Apṕroved by maintainer (CC mentor).

Some notes:
Ports documentation suggests 1.8+ format for JAVA_VERSION, but java.port.mk uses 8+, documentation needs to be made clearer.
This finaly get rid of the duplicate icon.
Comment 2 Thierry Thomas freebsd_committer 2019-08-29 16:54:48 UTC
Approved (as mentor).
Comment 3 commit-hook freebsd_committer 2019-08-29 21:02:07 UTC
A commit references this bug:

Author: pfg
Date: Thu Aug 29 21:01:20 UTC 2019
New revision: 510187
URL: https://svnweb.freebsd.org/changeset/ports/510187

Log:
  devel/jetbrains-webstorm: Update to 2019.2.1

  1) Update to 2019.2.1
  2) drop dependency on intellij-pt4j port. That port should be removed, it
  includes an old pt4j version and the FreeBSD native library is already included
  in the upstream pty4j jar
  3) small cleanup

  PR:	240083
  Approved by:	thierry (mentor)

Changes:
  head/devel/jetbrains-webstorm/Makefile
  head/devel/jetbrains-webstorm/distinfo
  head/devel/jetbrains-webstorm/files/pkg-message.in
  head/devel/jetbrains-webstorm/pkg-plist
Comment 4 Pedro F. Giffuni freebsd_committer 2019-08-29 21:02:43 UTC
Committed, thanks!